Cluster (Tomcat API Documentation)
Keywords: org.apache.catalina.Cluster interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface Cluster

All Known Subinterfaces:
  CatalinaCluster

All Known Implementing Classes:
  SimpleTcpCluster

    public interface Cluster

A Cluster works as a Cluster client/server for the local host Different Cluster implementations can be used to support different ways to communicate within the Cluster. A Cluster implementation is responsible for setting up a way to communicate within the Cluster and also supply "ClientApplications" with `ClusterSender` used when sending information in the Cluster and `ClusterInfo` used for receiving information in the Cluster.

Version:
  $Revision: 500684 $, $Date: 2007-01-28 00:27:18 +0100 (Sun, 28 Jan 2007) $
Author:
  Bip Thelin, Remy Maucherat, Filip Hanik

Method Summary
`void` | `backgroundProcess()` Execute a periodic task, such as reloading, etc.
`Manager` | `createManager(java.lang.String name)` Create a new manager which will use this cluster to replicate its sessions.
`java.lang.String` | `getClusterName()` Return the name of the cluster that this Server is currently configured to operate within.
`Container` | `getContainer()` Get the Container associated with our Cluster
`java.lang.String` | `getInfo()` Return descriptive information about this Cluster implementation and the corresponding version number, in the format `<description>/<version>`.
`java.lang.String` | `getProtocol()` Deprecated.
`void` | `registerManager(Manager manager)` Register a manager with the cluster.
`void` | `removeManager(Manager manager)` Removes a manager from the cluster
`void` | `setClusterName(java.lang.String clusterName)` Set the name of the cluster to join, if no cluster with this name is present create one.
`void` | `setContainer(Container container)` Set the Container associated with our Cluster
`void` | `setProtocol(java.lang.String protocol)` Deprecated.

Method Detail

### getInfo

    java.lang.String getInfo()

  Return descriptive information about this Cluster implementation and the corresponding version number, in the format `<description>/<version>`.

### getClusterName

    java.lang.String getClusterName()

  Return the name of the cluster that this Server is currently configured to operate within.

  Returns:
    The name of the cluster associated with this server

### setClusterName

    void setClusterName(java.lang.String clusterName)

  Set the name of the cluster to join, if no cluster with this name is present create one.

  Parameters:
    `clusterName` - The clustername to join

### setContainer

    void setContainer(Container container)

  Set the Container associated with our Cluster

  Parameters:
    `container` - The Container to use

### getContainer

    Container getContainer()

  Get the Container associated with our Cluster

  Returns:
    The Container associated with our Cluster

### setProtocol

    void setProtocol(java.lang.String protocol)

  Deprecated.

  Set the protocol parameters.

  Parameters:
    `protocol` - The protocol used by the cluster

### getProtocol

    java.lang.String getProtocol()

  Deprecated.

  Get the protocol used by the cluster.

  Returns:
    The protocol

### createManager

    Manager createManager(java.lang.String name)

  Create a new manager which will use this cluster to replicate its sessions.

  Parameters:
    `name` - Name (key) of the application with which the manager is associated

### registerManager

    void registerManager(Manager manager)

  Register a manager with the cluster. If the cluster is not responsible for creating a manager, then the container will at least notify the cluster that this mananger is participating in the cluster.

  Parameters:
    `manager` - Manager

### removeManager

    void removeManager(Manager manager)

  Removes a manager from the cluster

  Parameters:
    `manager` - Manager

### backgroundProcess

    void backgroundProcess()

  Execute a periodic task, such as reloading, etc. This method will be invoked inside the classloading context of this container. Unexpected throwables will be caught and logged.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.